summaryrefslogtreecommitdiff
path: root/testprogs
diff options
context:
space:
mode:
authorNadezhda Ivanova <nadezhda.ivanova@postpath.com>2010-01-07 12:34:06 +0200
committerNadezhda Ivanova <nadezhda.ivanova@postpath.com>2010-01-07 12:34:06 +0200
commit309473f938d18b9993c2c4f120eeff7b4641985a (patch)
treec07dde840efd38b75a4b196b247c11946c3b57c9 /testprogs
parentfb5383c69ee52fb5e6d066a43451dc8c806cc795 (diff)
parent71a40d7e2c21bf3ac47be3ec57fb091ff420ba9a (diff)
downloadsamba-309473f938d18b9993c2c4f120eeff7b4641985a.tar.gz
samba-309473f938d18b9993c2c4f120eeff7b4641985a.tar.bz2
samba-309473f938d18b9993c2c4f120eeff7b4641985a.zip
Merge branch 'master' of git://git.samba.org/samba
Diffstat (limited to 'testprogs')
-rwxr-xr-xtestprogs/blackbox/test_export_keytab.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/testprogs/blackbox/test_export_keytab.sh b/testprogs/blackbox/test_export_keytab.sh
index c5e85e35c8..6f2abab694 100755
--- a/testprogs/blackbox/test_export_keytab.sh
+++ b/testprogs/blackbox/test_export_keytab.sh
@@ -52,16 +52,16 @@ testit "export keytab from domain (2nd time)" $VALGRIND $net export keytab $PREF
KRB5CCNAME="$PREFIX/tmpuserccache"
export KRB5CCNAME
-testit "kinit with keytab as user" $samba4kinit --keytab=$PREFIX/tmpkeytab --request-pac nettestuser@$REALM || failed=`expr $failed + 1`
+testit "kinit with keytab as user" $VALGRIND $samba4kinit --keytab=$PREFIX/tmpkeytab --request-pac nettestuser@$REALM || failed=`expr $failed + 1`
test_smbclient "Test login with user kerberos ccache" 'ls' -k yes || failed=`expr $failed + 1`
KRB5CCNAME="$PREFIX/tmpadminccache"
export KRB5CCNAME
-testit "kinit with keytab as $USERNAME" $samba4kinit --keytab=$PREFIX/tmpkeytab --request-pac $USERNAME@$REALM || failed=`expr $failed + 1`
+testit "kinit with keytab as $USERNAME" $VALGRIND $samba4kinit --keytab=$PREFIX/tmpkeytab --request-pac $USERNAME@$REALM || failed=`expr $failed + 1`
testit "del user" $VALGRIND $net user delete nettestuser -k yes $@ || failed=`expr $failed + 1`
-rm -f tmpadminccache tmpuserccache tmpkeytab
+rm -f $PREFIX/tmpadminccache $PREFIX/tmpuserccache $PREFIX/tmpkeytab
exit $failed